<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>Class Hierarchy (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="bous/philipp/dblp/datatools/converter/package-tree.html">bous.philipp.dblp.datatools.converter</a>, </li>
<li><a href="bous/philipp/dblp/datatools/converter/heuristics/classification/package-tree.html">bous.philipp.dblp.datatools.converter.heuristics.classification</a>, </li>
<li><a href="bous/philipp/dblp/datatools/converter/xmlchecks/raw/package-tree.html">bous.philipp.dblp.datatools.converter.xmlchecks.raw</a>, </li>
<li><a href="bous/philipp/dblp/datatools/datamodel/package-tree.html">bous.philipp.dblp.datatools.datamodel</a>, </li>
<li><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/package-tree.html">bous.philipp.dblp.datatools.datamodel.records.archetypes</a>, </li>
<li><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/package-tree.html">bous.philipp.dblp.datatools.datamodel.records.archetypes.factory</a>, </li>
<li><a href="bous/philipp/dblp/datatools/db/reader/package-tree.html">bous.philipp.dblp.datatools.db.reader</a>, </li>
<li><a href="bous/philipp/dblp/datatools/evaluation/package-tree.html">bous.philipp.dblp.datatools.evaluation</a>, </li>
<li><a href="bous/philipp/dblp/datatools/executables/modelbuilding/svmlogreg/package-tree.html">bous.philipp.dblp.datatools.executables.modelbuilding.svmlogreg</a>, </li>
<li><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/package-tree.html">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC</a>, </li>
<li><a href="bous/philipp/dblp/datatools/executables/testing/svmlogreg/package-tree.html">bous.philipp.dblp.datatools.executables.testing.svmlogreg</a>, </li>
<li><a href="bous/philipp/dblp/datatools/executables/vectorization/package-tree.html">bous.philipp.dblp.datatools.executables.vectorization</a>, </li>
<li><a href="bous/philipp/dblp/datatools/executables/vocabbuilding/package-tree.html">bous.philipp.dblp.datatools.executables.vocabbuilding</a>, </li>
<li><a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/package-tree.html">bous.philipp.dblp.datatools.featureconstruction.vectorization</a>, </li>
<li><a href="bous/philipp/dblp/datatools/featureconstruction/vocabulary/package-tree.html">bous.philipp.dblp.datatools.featureconstruction.vocabulary</a>, </li>
<li><a href="bous/philipp/dblp/datatools/featurescoring/package-tree.html">bous.philipp.dblp.datatools.featurescoring</a>, </li>
<li><a href="bous/philipp/dblp/datatools/modelprocessing/package-tree.html">bous.philipp.dblp.datatools.modelprocessing</a>, </li>
<li><a href="bous/philipp/dblp/datatools/prediction/package-tree.html">bous.philipp.dblp.datatools.prediction</a>, </li>
<li><a href="bous/philipp/dblp/datatools/tokenization/package-tree.html">bous.philipp.dblp.datatools.tokenization</a>, </li>
<li><a href="bous/philipp/dblp/datatools/util/config/package-tree.html">bous.philipp.dblp.datatools.util.config</a>, </li>
<li><a href="bous/philipp/dblp/datatools/util/database/package-tree.html">bous.philipp.dblp.datatools.util.database</a>, </li>
<li><a href="bous/philipp/dblp/datatools/util/fileprocessing/package-tree.html">bous.philipp.dblp.datatools.util.fileprocessing</a>, </li>
<li><a href="bous/philipp/dblp/datatools/util/logging/package-tree.html">bous.philipp.dblp.datatools.util.logging</a>, </li>
<li><a href="bous/philipp/dblp/datatools/util/math/package-tree.html">bous.philipp.dblp.datatools.util.math</a>, </li>
<li><a href="bous/philipp/dblp/datatools/util/string/package-tree.html">bous.philipp.dblp.datatools.util.string</a>, </li>
<li><a href="bous/philipp/dblp/datatools/util/xml/package-tree.html">bous.philipp.dblp.datatools.util.xml</a>, </li>
<li><a href="bous/philipp/tools/latex/package-tree.html">bous.philipp.tools.latex</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/AbstractBasicRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes"><span class="typeNameLink">AbstractBasicRecord</span></a> (implements bous.philipp.dblp.datatools.datamodel.records.archetypes.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/RecordArchetype.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes">RecordArchetype</a>)
<ul>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/ArxivRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes"><span class="typeNameLink">ArxivRecord</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/BLThesisRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes"><span class="typeNameLink">BLThesisRecord</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/PlosOneRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes"><span class="typeNameLink">PlosOneRecord</span></a></li>
</ul>
</li>
<li class="circle">bous.philipp.dblp.datatools.converter.<a href="bous/philipp/dblp/datatools/converter/ArchiveToDataBaseConverter.html" title="class in bous.philipp.dblp.datatools.converter"><span class="typeNameLink">ArchiveToDataBaseConverter</span></a>
<ul>
<li class="circle">bous.philipp.dblp.datatools.converter.<a href="bous/philipp/dblp/datatools/converter/CommonArchivesToDatabaseConverter.html" title="class in bous.philipp.dblp.datatools.converter"><span class="typeNameLink">CommonArchivesToDatabaseConverter</span></a></li>
</ul>
</li>
<li class="circle">bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/ArxivClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification"><span class="typeNameLink">ArxivClassificationHeuristic</span></a> (implements bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/ClassificationHeuristic.html" title="interface in bous.philipp.dblp.datatools.converter.heuristics.classification">ClassificationHeuristic</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.factory.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/ArxivRecordFactory.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory"><span class="typeNameLink">ArxivRecordFactory</span></a> (implements bous.philipp.dblp.datatools.datamodel.records.archetypes.factory.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/RecordFactory.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory">RecordFactory</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.featureconstruction.vectorization.<a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/BagOfWordsVectorizationArchetypes.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization"><span class="typeNameLink">BagOfWordsVectorizationArchetypes</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.featureconstruction.vectorization.<a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/BagOfWordsVectorizer.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization"><span class="typeNameLink">BagOfWordsVectorizer</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.evaluation.<a href="bous/philipp/dblp/datatools/evaluation/BinaryClassificationEvaluator.html" title="class in bous.philipp.dblp.datatools.evaluation"><span class="typeNameLink">BinaryClassificationEvaluator</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.evaluation.<a href="bous/philipp/dblp/datatools/evaluation/BinaryEvaluationSet.html" title="class in bous.philipp.dblp.datatools.evaluation"><span class="typeNameLink">BinaryEvaluationSet</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/BLExtendedClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification"><span class="typeNameLink">BLExtendedClassificationHeuristic</span></a> (implements bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/ClassificationHeuristic.html" title="interface in bous.philipp.dblp.datatools.converter.heuristics.classification">ClassificationHeuristic</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/BLStrictClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification"><span class="typeNameLink">BLStrictClassificationHeuristic</span></a> (implements bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/ClassificationHeuristic.html" title="interface in bous.philipp.dblp.datatools.converter.heuristics.classification">ClassificationHeuristic</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/BLThesisExploration.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">BLThesisExploration</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.factory.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/BLThesisRecordFactory.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory"><span class="typeNameLink">BLThesisRecordFactory</span></a> (implements bous.philipp.dblp.datatools.datamodel.records.archetypes.factory.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/RecordFactory.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory">RecordFactory</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.executables.vectorization.<a href="bous/philipp/dblp/datatools/executables/vectorization/BOWConvertSingleColumnToSVMLightCVSetBalanced.html" title="class in bous.philipp.dblp.datatools.executables.vectorization"><span class="typeNameLink">BOWConvertSingleColumnToSVMLightCVSetBalanced</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.vectorization.<a href="bous/philipp/dblp/datatools/executables/vectorization/BOWConvertSingleColumnToSVMLightCVSetUnbalanced.html" title="class in bous.philipp.dblp.datatools.executables.vectorization"><span class="typeNameLink">BOWConvertSingleColumnToSVMLightCVSetUnbalanced</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.vocabbuilding.<a href="bous/philipp/dblp/datatools/executables/vocabbuilding/BuildScoredVocabularyBalanced.html" title="class in bous.philipp.dblp.datatools.executables.vocabbuilding"><span class="typeNameLink">BuildScoredVocabularyBalanced</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/BuildTopSubsetFromScoreSortedBalancedVocabularySet.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">BuildTopSubsetFromScoreSortedBalancedVocabularySet</span></a></li>
<li class="circle">bous.philipp.tools.latex.<a href="bous/philipp/tools/latex/Cell.html" title="class in bous.philipp.tools.latex"><span class="typeNameLink">Cell</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/CompareVocabs.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">CompareVocabs</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.modelprocessing.<a href="bous/philipp/dblp/datatools/modelprocessing/ConfigurableLiblinearTaskArchetypes.html" title="class in bous.philipp.dblp.datatools.modelprocessing"><span class="typeNameLink">ConfigurableLiblinearTaskArchetypes</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/CountPositiveNegativeModelWeights.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">CountPositiveNegativeModelWeights</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.db.reader.<a href="bous/philipp/dblp/datatools/db/reader/DatabaseReader.html" title="class in bous.philipp.dblp.datatools.db.reader"><span class="typeNameLink">DatabaseReader</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.util.database.<a href="bous/philipp/dblp/datatools/util/database/DataSourceFactory.html" title="class in bous.philipp.dblp.datatools.util.database"><span class="typeNameLink">DataSourceFactory</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/DrawTestDataArxiv.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">DrawTestDataArxiv</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/DrawTestDataPlosOneExtended.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">DrawTestDataPlosOneExtended</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/DrawTestDataPlosOneRestricted.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">DrawTestDataPlosOneRestricted</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/DrawTestDataThesisExtended.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">DrawTestDataThesisExtended</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/DrawTestDataThesisRestricted.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">DrawTestDataThesisRestricted</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportOriginalIds.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">ExportOriginalIds</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportOriginalIdsOnly.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">ExportOriginalIdsOnly</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportOriginalIdTimeCodeVectorizationPosthook.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">ExportOriginalIdTimeCodeVectorizationPosthook</span></a> (implements bous.philipp.dblp.datatools.featureconstruction.vectorization.<a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportOriginalIdVectorizationPosthook.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">ExportOriginalIdVectorizationPosthook</span></a> (implements bous.philipp.dblp.datatools.featureconstruction.vectorization.<a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportSplitIds.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">ExportSplitIds</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportSplitIdsVectorizationPosthook.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">ExportSplitIdsVectorizationPosthook</span></a> (implements bous.philipp.dblp.datatools.featureconstruction.vectorization.<a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.util.config.<a href="bous/philipp/dblp/datatools/util/config/ExternalConfig.html" title="class in bous.philipp.dblp.datatools.util.config"><span class="typeNameLink">ExternalConfig</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.<a href="bous/philipp/dblp/datatools/datamodel/Feature.html" title="class in bous.philipp.dblp.datatools.datamodel"><span class="typeNameLink">Feature</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.featurescoring.<a href="bous/philipp/dblp/datatools/featurescoring/FisherScoreSimple.html" title="class in bous.philipp.dblp.datatools.featurescoring"><span class="typeNameLink">FisherScoreSimple</span></a></li>
<li class="circle">java.util.logging.Formatter
<ul>
<li class="circle">bous.philipp.dblp.datatools.util.logging.<a href="bous/philipp/dblp/datatools/util/logging/LogFormatter.html" title="class in bous.philipp.dblp.datatools.util.logging"><span class="typeNameLink">LogFormatter</span></a></li>
</ul>
</li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/LatexTablePrettyPrintToClipboard.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">LatexTablePrettyPrintToClipboard</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.modelprocessing.<a href="bous/philipp/dblp/datatools/modelprocessing/LiblinearModelTestProperties.html" title="class in bous.philipp.dblp.datatools.modelprocessing"><span class="typeNameLink">LiblinearModelTestProperties</span></a> (implements bous.philipp.dblp.datatools.util.config.<a href="bous/philipp/dblp/datatools/util/config/ExecutionConfigProperties.html" title="interface in bous.philipp.dblp.datatools.util.config">ExecutionConfigProperties</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.prediction.<a href="bous/philipp/dblp/datatools/prediction/LiblinearPredictor.html" title="class in bous.philipp.dblp.datatools.prediction"><span class="typeNameLink">LiblinearPredictor</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.modelprocessing.<a href="bous/philipp/dblp/datatools/modelprocessing/LiblinearTrainProperties.html" title="class in bous.philipp.dblp.datatools.modelprocessing"><span class="typeNameLink">LiblinearTrainProperties</span></a> (implements bous.philipp.dblp.datatools.util.config.<a href="bous/philipp/dblp/datatools/util/config/ExecutionConfigProperties.html" title="interface in bous.philipp.dblp.datatools.util.config">ExecutionConfigProperties</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.util.logging.<a href="bous/philipp/dblp/datatools/util/logging/LoggerFactory.html" title="class in bous.philipp.dblp.datatools.util.logging"><span class="typeNameLink">LoggerFactory</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.tokenization.<a href="bous/philipp/dblp/datatools/tokenization/LuceneStandardTokenizerAdapter.html" title="class in bous.philipp.dblp.datatools.tokenization"><span class="typeNameLink">LuceneStandardTokenizerAdapter</span></a> (implements bous.philipp.dblp.datatools.tokenization.<a href="bous/philipp/dblp/datatools/tokenization/Tokenizer.html" title="interface in bous.philipp.dblp.datatools.tokenization">Tokenizer</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.util.math.<a href="bous/philipp/dblp/datatools/util/math/MathematicalFunctions.html" title="class in bous.philipp.dblp.datatools.util.math"><span class="typeNameLink">MathematicalFunctions</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/PlosOneAbstractClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification"><span class="typeNameLink">PlosOneAbstractClassificationHeuristic</span></a> (implements bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/ClassificationHeuristic.html" title="interface in bous.philipp.dblp.datatools.converter.heuristics.classification">ClassificationHeuristic</a>)
<ul>
<li class="circle">bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/PlosOneCBIncludingClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification"><span class="typeNameLink">PlosOneCBIncludingClassificationHeuristic</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/PlosOneStrictClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification"><span class="typeNameLink">PlosOneStrictClassificationHeuristic</span></a></li>
</ul>
</li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/PLosOneExploration.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">PLosOneExploration</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.converter.xmlchecks.raw.<a href="bous/philipp/dblp/datatools/converter/xmlchecks/raw/PlosOneRawXmlCheck.html" title="class in bous.philipp.dblp.datatools.converter.xmlchecks.raw"><span class="typeNameLink">PlosOneRawXmlCheck</span></a> (implements bous.philipp.dblp.datatools.converter.xmlchecks.raw.<a href="bous/philipp/dblp/datatools/converter/xmlchecks/raw/RawXmlCheck.html" title="interface in bous.philipp.dblp.datatools.converter.xmlchecks.raw">RawXmlCheck</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.factory.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/PlosOneRecordFactory.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory"><span class="typeNameLink">PlosOneRecordFactory</span></a> (implements bous.philipp.dblp.datatools.datamodel.records.archetypes.factory.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/RecordFactory.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory">RecordFactory</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/PreprocessStringWithVocabAndModelInfo.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">PreprocessStringWithVocabAndModelInfo</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/RandomizeVocabOrderInFile.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">RandomizeVocabOrderInFile</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.<a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><span class="typeNameLink">RecordDocument</span></a> (implements bous.philipp.dblp.datatools.datamodel.<a href="bous/philipp/dblp/datatools/datamodel/FeatureHolder.html" title="interface in bous.philipp.dblp.datatools.datamodel">FeatureHolder</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.featureconstruction.vocabulary.<a href="bous/philipp/dblp/datatools/featureconstruction/vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary"><span class="typeNameLink">ScoredVocabulary</span></a> (implements java.lang.Iterable&lt;T&gt;)</li>
<li class="circle">bous.philipp.dblp.datatools.db.reader.<a href="bous/philipp/dblp/datatools/db/reader/SelectionResult.html" title="class in bous.philipp.dblp.datatools.db.reader"><span class="typeNameLink">SelectionResult</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.featureconstruction.vectorization.<a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/SingleColumnCVSetProperties.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization"><span class="typeNameLink">SingleColumnCVSetProperties</span></a> (implements bous.philipp.dblp.datatools.util.config.<a href="bous/philipp/dblp/datatools/util/config/DbDependentExecutionConfig.html" title="interface in bous.philipp.dblp.datatools.util.config">DbDependentExecutionConfig</a>)</li>
<li class="circle">bous.philipp.dblp.datatools.util.math.<a href="bous/philipp/dblp/datatools/util/math/Statistics.html" title="class in bous.philipp.dblp.datatools.util.math"><span class="typeNameLink">Statistics</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.util.string.<a href="bous/philipp/dblp/datatools/util/string/StopWordCollections.html" title="class in bous.philipp.dblp.datatools.util.string"><span class="typeNameLink">StopWordCollections</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.util.string.<a href="bous/philipp/dblp/datatools/util/string/StringUtility.html" title="class in bous.philipp.dblp.datatools.util.string"><span class="typeNameLink">StringUtility</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/SummarizeTimeCodeIdParts.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">SummarizeTimeCodeIdParts</span></a></li>
<li class="circle">bous.philipp.tools.latex.<a href="bous/philipp/tools/latex/Tabular.html" title="class in bous.philipp.tools.latex"><span class="typeNameLink">Tabular</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.util.fileprocessing.<a href="bous/philipp/dblp/datatools/util/fileprocessing/Tar.html" title="class in bous.philipp.dblp.datatools.util.fileprocessing"><span class="typeNameLink">Tar</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/TarAnalysis.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">TarAnalysis</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.util.fileprocessing.<a href="bous/philipp/dblp/datatools/util/fileprocessing/TarProcessor.html" title="class in bous.philipp.dblp.datatools.util.fileprocessing"><span class="typeNameLink">TarProcessor</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.featureconstruction.vocabulary.<a href="bous/philipp/dblp/datatools/featureconstruction/vocabulary/TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary"><span class="typeNameLink">TermStatistics</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.modelprocessing.<a href="bous/philipp/dblp/datatools/modelprocessing/TestingSvmLogReg.html" title="class in bous.philipp.dblp.datatools.modelprocessing"><span class="typeNameLink">TestingSvmLogReg</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.testing.svmlogreg.<a href="bous/philipp/dblp/datatools/executables/testing/svmlogreg/TestLiblinearModel.html" title="class in bous.philipp.dblp.datatools.executables.testing.svmlogreg"><span class="typeNameLink">TestLiblinearModel</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.featurescoring.<a href="bous/philipp/dblp/datatools/featurescoring/TfIdfAnalyzer.html" title="class in bous.philipp.dblp.datatools.featurescoring"><span class="typeNameLink">TfIdfAnalyzer</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.modelprocessing.<a href="bous/philipp/dblp/datatools/modelprocessing/TrainingSvmLogReg.html" title="class in bous.philipp.dblp.datatools.modelprocessing"><span class="typeNameLink">TrainingSvmLogReg</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.modelbuilding.svmlogreg.<a href="bous/philipp/dblp/datatools/executables/modelbuilding/svmlogreg/TrainLiblinearAndDoCrossvalidation.html" title="class in bous.philipp.dblp.datatools.executables.modelbuilding.svmlogreg"><span class="typeNameLink">TrainLiblinearAndDoCrossvalidation</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.modelbuilding.svmlogreg.<a href="bous/philipp/dblp/datatools/executables/modelbuilding/svmlogreg/TrainLiblinearAndWriteModelFile.html" title="class in bous.philipp.dblp.datatools.executables.modelbuilding.svmlogreg"><span class="typeNameLink">TrainLiblinearAndWriteModelFile</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.featureconstruction.vectorization.<a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/VectorDBMapping.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization"><span class="typeNameLink">VectorDBMapping</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.<a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/VerticalizeLatexTableRow.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC"><span class="typeNameLink">VerticalizeLatexTableRow</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.featureconstruction.vocabulary.<a href="bous/philipp/dblp/datatools/featureconstruction/vocabulary/VocabularyBuilder.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary"><span class="typeNameLink">VocabularyBuilder</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.evaluation.<a href="bous/philipp/dblp/datatools/evaluation/WeightedGainWeightingInfo.html" title="class in bous.philipp.dblp.datatools.evaluation"><span class="typeNameLink">WeightedGainWeightingInfo</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.util.xml.<a href="bous/philipp/dblp/datatools/util/xml/XMLUtility.html" title="class in bous.philipp.dblp.datatools.util.xml"><span class="typeNameLink">XMLUtility</span></a></li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">bous.philipp.dblp.datatools.featureconstruction.vectorization.<a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization"><span class="typeNameLink">BalancedVectorizationFoldPostHook</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.converter.heuristics.classification.<a href="bous/philipp/dblp/datatools/converter/heuristics/classification/ClassificationHeuristic.html" title="interface in bous.philipp.dblp.datatools.converter.heuristics.classification"><span class="typeNameLink">ClassificationHeuristic</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/ConvertableToRecDoc.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes"><span class="typeNameLink">ConvertableToRecDoc</span></a>
<ul>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/RecordArchetype.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes"><span class="typeNameLink">RecordArchetype</span></a> (also extends bous.philipp.dblp.datatools.datamodel.<a href="bous/philipp/dblp/datatools/datamodel/FeatureHolder.html" title="interface in bous.philipp.dblp.datatools.datamodel">FeatureHolder</a>)</li>
</ul>
</li>
<li class="circle">bous.philipp.dblp.datatools.util.config.<a href="bous/philipp/dblp/datatools/util/config/ExecutionConfigProperties.html" title="interface in bous.philipp.dblp.datatools.util.config"><span class="typeNameLink">ExecutionConfigProperties</span></a>
<ul>
<li class="circle">bous.philipp.dblp.datatools.util.config.<a href="bous/philipp/dblp/datatools/util/config/DbDependentExecutionConfig.html" title="interface in bous.philipp.dblp.datatools.util.config"><span class="typeNameLink">DbDependentExecutionConfig</span></a></li>
</ul>
</li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.<a href="bous/philipp/dblp/datatools/datamodel/FeatureHolder.html" title="interface in bous.philipp.dblp.datatools.datamodel"><span class="typeNameLink">FeatureHolder</span></a>
<ul>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/RecordArchetype.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes"><span class="typeNameLink">RecordArchetype</span></a> (also extends bous.philipp.dblp.datatools.datamodel.records.archetypes.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/ConvertableToRecDoc.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes">ConvertableToRecDoc</a>)</li>
</ul>
</li>
<li class="circle">bous.philipp.dblp.datatools.converter.xmlchecks.raw.<a href="bous/philipp/dblp/datatools/converter/xmlchecks/raw/RawXmlCheck.html" title="interface in bous.philipp.dblp.datatools.converter.xmlchecks.raw"><span class="typeNameLink">RawXmlCheck</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.records.archetypes.factory.<a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/RecordFactory.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory"><span class="typeNameLink">RecordFactory</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.tokenization.<a href="bous/philipp/dblp/datatools/tokenization/Tokenizer.html" title="interface in bous.philipp.dblp.datatools.tokenization"><span class="typeNameLink">Tokenizer</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.featureconstruction.vectorization.<a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/UnbalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization"><span class="typeNameLink">UnbalancedVectorizationFoldPostHook</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.util.fileprocessing.<a href="bous/philipp/dblp/datatools/util/fileprocessing/XMLRawProcessor.html" title="interface in bous.philipp.dblp.datatools.util.fileprocessing"><span class="typeNameLink">XMLRawProcessor</span></a></li>
</ul>
</section>
<section role="region">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li class="circle">bous.philipp.dblp.datatools.datamodel.<a href="bous/philipp/dblp/datatools/datamodel/CsClassification.html" title="enum in bous.philipp.dblp.datatools.datamodel"><span class="typeNameLink">CsClassification</span></a></li>
<li class="circle">bous.philipp.dblp.datatools.datamodel.<a href="bous/philipp/dblp/datatools/datamodel/FeatureType.html" title="enum in bous.philipp.dblp.datatools.datamodel"><span class="typeNameLink">FeatureType</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
